from structures.common import BaseMeasurement

class MatchSeries:
  def __init__(self, series) -> None:
    self._series = series
  
  def get_series(self, measurement: BaseMeasurement):
    if measurement.series == self._series:
      return measurement
    else:
      # find the series in the data
      for key, value in measurement.__dict__.items():
        if isinstance(value, BaseMeasurement) and value.series == self._series:
          return value